Bug 1556954 - libidn2: Silently transliterates decoded domain names
Summary: libidn2: Silently transliterates decoded domain names
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: libidn2
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Robert Scheck
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1452750
TreeView+ depends on / blocked
 
Reported: 2018-03-15 15:39 UTC by Florian Weimer
Modified: 2018-04-18 04:02 UTC (History)
1 user (show)

Fixed In Version: libidn2-2.0.4-4.fc28 libidn2-2.0.4-4.fc27 libidn2-2.0.4-4.fc26 libidn2-2.0.4-4.el7 libidn2-2.0.4-4.el6
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-04-02 11:48:42 UTC


Attachments (Terms of Use)

Description Florian Weimer 2018-03-15 15:39:17 UTC
This is rather unfortunate:

$ echo xn--iebx.example | LC_ALL=en_US idn2 -d
??.example
$ rpm -qf /usr/bin/idn2
libidn2-2.0.4-3.fc27.x86_64

I would expect an error or the original input string in this situation.  This also happens when calling idn2_to_unicode_lzlz with zero flags.  I do not see a idn2_flags value to change this behavior.

Comment 1 Robert Scheck 2018-03-15 16:02:35 UTC
Reported to upstream https://gitlab.com/libidn/libidn2/issues/46

Comment 2 Florian Weimer 2018-03-30 07:59:27 UTC
This has now been fixed upstream:

https://gitlab.com/libidn/libidn2/commit/6fa9aa172ba262356502aec2a3047610251c6093
https://gitlab.com/libidn/libidn2/commit/dd11133faa276744fb2b11424778c62820bbd547

Would you please release a fixed version to Fedora, ideally back to Fedora 27?  I can help with that if you want.

Comment 3 Robert Scheck 2018-03-30 21:51:04 UTC
After applying patches mentioned in comment #2:

$ echo xn--iebx.example | LC_ALL=en_US idn2 -d
idn2: decode: string encoding error
$

Comment 4 Fedora Update System 2018-03-30 22:00:00 UTC
libidn2-2.0.4-4.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2018-32c1a599bd

Comment 5 Fedora Update System 2018-03-30 22:01:38 UTC
libidn2-2.0.4-4.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-53a56c4e63

Comment 6 Fedora Update System 2018-03-30 22:02:20 UTC
libidn2-2.0.4-4.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e427d9b0d

Comment 7 Fedora Update System 2018-03-30 22:02:51 UTC
libidn2-2.0.4-4.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03a2d7ceb1

Comment 8 Fedora Update System 2018-03-30 22:03:25 UTC
libidn2-2.0.4-4.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f5e7ae19a8

Comment 9 Fedora Update System 2018-04-01 04:28:51 UTC
libidn2-2.0.4-4.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-7e427d9b0d

Comment 10 Fedora Update System 2018-04-01 04:52:38 UTC
libidn2-2.0.4-4.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-53a56c4e63

Comment 11 Fedora Update System 2018-04-01 04:57:35 UTC
libidn2-2.0.4-4.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-32c1a599bd

Comment 12 Fedora Update System 2018-04-01 05:46:04 UTC
libidn2-2.0.4-4.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-f5e7ae19a8

Comment 13 Fedora Update System 2018-04-01 05:46:46 UTC
libidn2-2.0.4-4.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2018-03a2d7ceb1

Comment 14 Fedora Update System 2018-04-02 11:48:42 UTC
libidn2-2.0.4-4.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2018-04-02 13:02:14 UTC
libidn2-2.0.4-4.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2018-04-05 15:01:09 UTC
libidn2-2.0.4-4.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.

Comment 17 Fedora Update System 2018-04-18 00:37:16 UTC
libidn2-2.0.4-4.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 18 Fedora Update System 2018-04-18 04:02:47 UTC
libidn2-2.0.4-4.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.